# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlDDS.hpp File Reference

`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`

## Classes
class | vl::LoadWriterDDS
| The LoadWriterDDS class is a ResourceLoadWriter capable of reading DDS files. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Defines
#define | ioDDS_INCLUDE_ONCE
## Functions
ref< Image > | vl::loadDDS (VirtualFile *file)
ref< Image > | vl::loadDDS (const String &path)
| Loads a DDS file.
bool | vl::isDDS (VirtualFile *file)

## Define Documentation

#define ioDDS_INCLUDE_ONCE

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.